Gecode::SharedData< Data >::SDO Class Reference

The object storing the actual data. More...

`#include <shared-data.hpp>`

## Public Member Functions

| SDO (const Data &d0)
| Initialization.
virtual | ~SDO (void)
| Destructor.
Public Member Functions inherited from Gecode::SharedHandle::Object
| Object (void)
| Initialize.
virtual | ~Object (void)
| Delete shared object.

## Public Attributes

const Data | d
| Data to be shared.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

template<class Data>
class Gecode::SharedData< Data >::SDO

The object storing the actual data.

Definition at line 41 of file shared-data.hpp.

## Constructor & Destructor Documentation

## SDO()

template<class Data>

Gecode::SharedData< Data >::SDO::SDO | ( | const Data & | d0 | ) |

inline

Initialization.

Definition at line 68 of file shared-data.hpp.

## ~SDO()

template<class Data>

Gecode::SharedData< Data >::SDO::~SDO | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 73 of file shared-data.hpp.

## Member Data Documentation

## d

template<class Data>

const Data Gecode::SharedData< Data >::SDO::d

Data to be shared.

Definition at line 44 of file shared-data.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/data/shared-data.hpp